Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## anl.repast.gis.data.dbf
Class JDBFException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              anl.repast.gis.data.dbf.JDBFException

All Implemented Interfaces:
  java.io.Serializable

    public class JDBFException

extends java.lang.Exception

Title: JDBF

Description: Used to indicate a fatal error, while writing or reading a database (DBF) file.

Copyright : Copyright (c) 2004

Société : FUCaM-GTM

Version:
  1.0
Author:
  Bart Jourquin, adapted from original free lib by SV Consulting (http://www.svcon.com/)
See Also:
  Serialized Form

Constructor Summary
`JDBFException(java.lang.String s)` Constructs a JDBFException with a given message.
`JDBFException(java.lang.String s, java.lang.Throwable throwable)` Constructs a nested JDBFException, containing another exception and a specific message.
`JDBFException(java.lang.Throwable throwable)` Constructs a nested JDBFException, containing another exception.

Method Summary
`java.lang.String` | `getMessage()` Returns the message for the exception.
`void` | `printStackTrace()` Prints the stack of the exception to the standard error.
`void` | `printStackTrace(java.io.PrintStream printstream)` Prints the stack of the exception.
`void` | `printStackTrace(java.io.PrintWriter printwriter)` Prints the stack of the exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JDBFException

    public JDBFException(java.lang.String s)

  Constructs a JDBFException with a given message.

  Parameters:
    `s` - String

### JDBFException

    public JDBFException(java.lang.Throwable throwable)

  Constructs a nested JDBFException, containing another exception.

  Parameters:
    `throwable` - Throwable

### JDBFException

    public JDBFException(java.lang.String s,
                         java.lang.Throwable throwable)

  Constructs a nested JDBFException, containing another exception and a specific message.

  Parameters:
    `s` - String
    `throwable` - Throwable

Method Detail

### getMessage

    public java.lang.String getMessage()

  Returns the message for the exception.

  Overrides:
    `getMessage` in class `java.lang.Throwable`
  Returns:
    String

### printStackTrace

    public void printStackTrace(java.io.PrintStream printstream)

  Prints the stack of the exception.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `printstream` - PrintStream

### printStackTrace

    public void printStackTrace()

  Prints the stack of the exception to the standard error.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintWriter printwriter)

  Prints the stack of the exception.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `printwriter` - PrintWriter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD